## gettext 0.17-4maemo2

=== debian/changelog ===
gettext (0.17-4maemo2) unstable; urgency=low

  *  Fixes: NB#177118

 -- Maemo Integration <integration@maemo.org>  Thu, 24 Jun 2010 10:40:00 +0300

gettext (0.17-4maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Tue, 25 Aug 2009 18:12:45 +0300

gettext (0.17-4maemo1) unstable; urgency=low

  * Resync with debian version (Fixes: NB#133326)
  * Remove java and csharp support

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 12 Aug 2009 15:41:42 +0300

gettext (0.17-4) unstable; urgency=low

  * Fixed xgettext crash with some unicode chars. Closes: #493218.
  * Fixed wrong updating of POT-Creation-Date by msgmerge. Closes: #496282.
  * Both patches by the author.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Aug 2008 18:42:00 +0200

gettext (0.17-3) unstable; urgency=low

  * Added lpia to the list of supported mono archs. Closes: #455842.
    Requested by Ubuntu, but completely harmless for Debian.
  * Added --disable-native-java to ./configure call to prevent gcj from
    being used even if it's installed. This avoids a Build-Conflicts: gcj
    and fixes a "FTBFS in unclean chroot" bug. Closes: #474901.
  * Changed po-mode.el to save buffer when PO-Revision-Date is hold.
    Approved by the author. Thanks to Kobayashi Noritada. Closes: #482364.
  * Converted doc-base file to UTF-8. Moved to "Programming" section.

 -- Santiago Vila <sanvila@debian.org>  Thu, 12 Jun 2008 18:48:44 +0200

gettext (0.17-2) unstable; urgency=medium

  * Changed po-mode.el to use new-style backquotes. Closes: #453103.
    Thanks to Agustin Martin for the report.

 -- Santiago Vila <sanvila@debian.org>  Fri,  7 Dec 2007 20:13:01 +0100

gettext (0.17-1) unstable; urgency=low

  * New upstream release. Closes: #451091. See the NEWS for details.
  * Public domain files are clearly marked as such. Closes: #412310.
  * Fixed xgettext problem with python unicode strings. Closes: #433743.
  * Added file to Build-Depends, as it's used by debian/rules. This was
    probably dropped in 0.12.1-6 after the build problem on ARM was fixed
    the right way by using the latest libtool. Previously, the old libtool
    used "file" on the ARM architecture.
  * gettext tools are now under GPL version 3.

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 Nov 2007 11:35:30 +0100

gettext (0.16.1-2) unstable; urgency=low

  * Fixed po-check-file-header bug in po-mode.el. Closes: #385005.
  * Modified description of gettext-el package. Closes: #422649.
  * Moved java files to /usr/share/java. Closes: #376601.
  * Added missing library dependencies to gettext-base.
  * Fixed name for zh-cn team. Closes: #428594.
  * Fixed typo in po-mode.el. Closes: #412656.

 -- Santiago Vila <sanvila@debian.org>  Mon,  2 Jul 2007 20:29:14 +0200

gettext (0.16.1-1) unstable; urgency=low

  * New upstream release. See the NEWS file for details.
  * Use -no-site-file instead of --no-site-file, to make xemacs happy.
    Thanks to Luis Rodrigo Gallardo for the report. Closes: #399284.
  * Fixed xgettext segfault with lisp files, which made other packages
    to FTBFS. Thanks to Martin Pitt for the report. Closes: #400187.

 -- Santiago Vila <sanvila@debian.org>  Mon, 27 Nov 2006 23:31:08 +0100

gettext (0.15-3) unstable; urgency=medium

  * Fixed perl parser by updating x-perl.c from CVS (Closes: #386912).
  * Build C# stuff using mono, not pnet. This fixes a FTBFS bug, as pnet
    is currently uninstallable.
	
 -- Santiago Vila <sanvila@debian.org>  Fri,  3 Nov 2006 17:19:02 +0100

gettext (0.15-2) unstable; urgency=low

  * Fixed xgettext segfault on certain scheme input (Closes: #384698).
    Patch by Bruno Haible.
	
 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Aug 2006 19:35:04 +0200

gettext (0.15-1) unstable; urgency=low

  * New upstream release (Closes: #381534).
  * Improved msgmerge error message (Closes: #305703).
  * Recognize Bash process substitution syntax (Closes: #374483).
  * The 'mkinstalldirs' shell script is no longer needed and no longer
    installed by gettextize (Closes: #378239).
  * The manual is now dual-licensed as GNU GPL and GNU FDL with no
    Invariant Sections, no Front-Cover Text, and no Back-Cover Texts,
    so we can distribute it in main in either case.
  * Applied patch from Bruno Haible to fix a bug in xgettext.
    See gnu.utils.bug for details.
	
 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Aug 2006 18:45:14 +0200

gettext (0.14.6-1) unstable; urgency=low

  * New upstream release. From the NEWS file:
  - Updated the meaning of 'gcc-internal-format' to match GCC 4.1.
  * Changed x-php.c to fix xgettext problem with PHP (Closes: #366131).

 -- Santiago Vila <sanvila@debian.org>  Fri, 23 Jun 2006 17:39:10 +0200

gettext (0.14.5-4) unstable; urgency=low

  * Reverted change made to gettext.m4, as it breaks autopoint.
    The change will be made in the next upstream version anyway.
    Thanks a lot to Ben Pfaff for the report (Closes: #367263).
  * Added C# support for architectures having a recent pnet.
  * gettext now contains msgfmt.net.exe and msgunfmt.net.exe.
  * gettext-base now contains GNU.Gettext.dll.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 May 2006 18:01:08 +0200

gettext (0.14.5-3) unstable; urgency=low

  * Modified po-mode.el so that po-validate loads compile.el (Closes: #316852).
  * Modified gettext.sh to be more friendly to zsh (Closes: #343354).
  * Modified gettext.m4 to avoid calling AM_NLS twice (Closes: #353435).
  * Put gettext-base in section utils, following the override file.
  * Removed no longer required Build-Depends-Indep: texi2html.

 -- Santiago Vila <sanvila@debian.org>  Mon,  1 May 2006 19:11:56 +0200

gettext (0.14.5-2) unstable; urgency=low

  * New C++ ABI. gettext-base now Provides: libasprintf0c2.
  * Changed shlibs file accordingly.

 -- Santiago Vila <sanvila@debian.org>  Wed,  6 Jul 2005 17:30:10 +0200


