=== debian/control ===
Source: gettext
Section: devel
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.7.2
Build-Depends: libexpat1-dev, file

Package: gettext-base
Section: utils
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}
Replaces: gettext (<= 0.12.1-1)
Provides: libasprintf0c2
Description: GNU Internationalization utilities for the base system
 This package includes the gettext and ngettext programs which allow
 other packages to internationalize the messages given by shell scripts.

Package: gettext
Architecture: any
Depends: ${shlibs:Depends}, gettext-base
Recommends: curl | wget | lynx
Suggests: cvs, gettext-doc
Replaces: gettext-base (<= 0.14.4-1)
Provides: libgettextpo0, libasprintf-dev, libgettextpo-dev
Description: GNU Internationalization utilities
 Interesting for authors or maintainers of other packages or programs
 which they want to see internationalized.

Package: gettext-el
Architecture: all
Depends: gettext, emacsen
Replaces: gettext (<= 0.10.40-3)
Description: Emacs po-mode for editing gettext .po files
 This package contains po-mode.el for easy .po editing using emacs.

Package: gettext-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation for GNU gettext
 This package contains the HTML documentation for GNU gettext, as well as
 simple "hello world" examples in several programming languages.
