## gettext 0.17-4maemo4

=== debian/changelog ===
gettext (0.17-4maemo4) unstable; urgency=low

  * Fixes: NB#177118

 -- Maemo Integration <integration@maemo.org>  Thu,  1 Jul 2010 11:20:00 +0300
