=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/gettext/gettext-(.*)\.tar\.gz
