## gettext 0.18.1.1

=== debian/changelog ===
gettext (0.18.1.1-9ubuntu1) quantal; urgency=low

  * Merge from Debian Unstable (LP: #1012705). Remaining Changes:
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.
    - Mark gettext Multi-Arch: allowed.

 -- Vibhav Pant <vibhavp@gmail.com>  Wed, 13 Jun 2012 20:15:27 +0530

gettext (0.18.1.1-9) unstable; urgency=low

  * Build with hardened build flags.
  * Use Breaks instead of Conflicts for autopoint (lintian warning).
  * Use $(STRIP) on ELF binaries. not just on libraries.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Jun 2012 12:08:00 +0200

gettext (0.18.1.1-8ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.
    - Mark gettext Multi-Arch: allowed.
  * Dropped changes, now upstream in Debian or fixed:
    - Build with --no-as-needed, needs more work, as plugins are used.
    - Make gettext explicitly depend on libgettextpo0 (= ${binary:Version}),
      since there's no shlibs dependency but gettext still provides our -dev
      package.
    - Split libgettextpo0 out into a separate binary package for multiarch.

 -- James Page <james.page@ubuntu.com>  Mon, 28 May 2012 15:46:50 +0100

gettext (0.18.1.1-8) unstable; urgency=low

  * Modified msgfmt to always create little endian .mo files.
    Thanks a lot to Steve Langasek. Closes: #671257.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Wed, 16 May 2012 13:54:32 +0200

gettext (0.18.1.1-7) unstable; urgency=low

  * Create symlinks required by new emacs policy using "ln -sf".
    Thanks to Agustín Martín. Closes: #671353.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 May 2012 18:35:31 +0200

gettext (0.18.1.1-6) unstable; urgency=low

  * Run dpkg-shlibdeps on libraries, as it should be. Closes: #670588.
    This makes --no-as-needed not required after all. Closes: #604778.
  * Put symlinks to .el files where emacs can find them, following
    the latest emacs policy. Closes: #664551.
  * Changed project-id to use quotes around pwd. Closes: #654779.
  * Split out libgettextpo0 for multiarch. Closes: #646034.
    Thanks a lot to Steve Langasek.
  * Split out libasprintf0c2 as well. For now, gettext-base depends
    on libasprintf0c2 so that it's not missed on upgrades, for this reason
    this library is Priority: standard as well. After the release of wheezy
    we can think about this again.
  * Dropped README.Debian, no longer needed.

 -- Santiago Vila <sanvila@debian.org>  Sat, 28 Apr 2012 18:40:40 +0200

gettext (0.18.1.1-5ubuntu4) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:38:56 +0100

gettext (0.18.1.1-5ubuntu3) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:28:32 -0700

gettext (0.18.1.1-5ubuntu2) precise; urgency=low

  * Mark gettext Multi-Arch: allowed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 15:33:38 +0000

gettext (0.18.1.1-5ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Build with --no-as-needed, needs more work, as plugins are used.
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.
  * Dropped changes:
    - Bump Replaces on gettext and Conflicts on autopoint: the affected
      Ubuntu versions were only ever in a devel release, no need to carry
      a delta.
  * Split libgettextpo0 out into a separate binary package for multiarch.
  * Make gettext explicitly depend on libgettextpo0 (= ${binary:Version}),
    since there's no shlibs dependency but gettext still provides our -dev
    package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Oct 2011 17:57:00 +0000

gettext (0.18.1.1-5) unstable; urgency=low

  * Applied patch by Bruno Haible to teach xgettext about new scheme
    syntax. Reported by David Pirotte. Closes: #641371.

 -- Santiago Vila <sanvila@debian.org>  Wed, 05 Oct 2011 15:19:00 +0200

gettext (0.18.1.1-4) unstable; urgency=low

  * Applied patch by Bruno Haible to fix xgettext crash when extracting
    a message with plural that is excluded. Closes: #608181.
  * Dropped obsolete -D_REENTRANT. Use --enable-threads instead.

 -- Santiago Vila <sanvila@debian.org>  Fri, 05 Aug 2011 15:47:34 +0200
 

gettext (0.18.1.1-3ubuntu1) natty; urgency=low

  * Merge from Debian testing (LP: #678161). Remaining changes:
    - Build with --no-as-needed, needs more work, as plugins are used.
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
    - debian/control:
      + Drop autopoint recommends of gettext. It pulls in git and
        other sizable packages which make the CDs explode.
      + Bump Replaces on gettext and Conflicts on autopoint to (<< 0.18-1)

