=== debian/control ===
Source: gettext
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.1
Build-Depends: libexpat1-dev, fastjar, default-jdk, file, libncurses5-dev, libxml2-dev, libglib2.0-dev, libcroco3-dev, git (>= 1:1.7.0.5), libunistring-dev
Homepage: http://www.gnu.org/software/gettext/

Package: gettext-base
Section: utils
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, libasprintf0c2 (>= 0.18.1.1-6)
Description: GNU Internationalization utilities for the base system
 This package includes the gettext and ngettext programs which allow
 other packages to internationalize the messages given by shell scripts.

Package: gettext
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, libgettextpo0 (= ${binary:Version}), libasprintf0c2 (= ${binary:Version}), gettext-base, dpkg (>= 1.15.4) | install-info
Recommends: curl | wget | lynx-cur
Breaks: autopoint (<= 0.17-11)
Suggests: gettext-doc
Provides: libasprintf-dev, libgettextpo-dev
Description: GNU Internationalization utilities
 Interesting for authors or maintainers of other packages or programs
 which they want to see internationalized.

Package: gettext-el
Section: lisp
Architecture: all
Depends: gettext, emacs23 | emacsen
Description: Emacs po-mode for editing gettext .po files
 This package contains po-mode.el for easy .po editing using emacs.

Package: gettext-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation for GNU gettext
 This package contains the HTML documentation for GNU gettext, as well as
 simple "hello world" examples in several programming languages.

Package: autopoint
Section: devel
Priority: optional
Architecture: all
Depends: git (>= 1:1.7.0.5) | git-core
Replaces: gettext (<= 0.17-11)
Description: The autopoint program from GNU gettext
 The `autopoint' program copies standard gettext infrastructure files
 into a source package.  It extracts from a macro call of the form
 `AM_GNU_GETTEXT_VERSION(VERSION)', found in the package's
 `configure.in' or `configure.ac' file, the gettext version used by the
 package, and copies the infrastructure files belonging to this version
 into the package.

Package: libgettextpo0
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}
Breaks: gettext (<< 0.18.1.1-6)
Replaces: gettext (<< 0.18.1.1-6)
Description: GNU Internationalization library
 This package contains the libgettextpo shared library for interfacing
 programmatically with GNU gettext .po files.

Package: libasprintf0c2
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}
Breaks: gettext-base (<< 0.18.1.1-6)
Replaces: gettext-base (<< 0.18.1.1-6)
Description: GNU library to use fprintf and friends in C++
 This package contains the libasprintf shared library which makes the
 C formatted output routines (fprintf et al.) usable in C++ programs,
 for use with the <string> strings and the <iostream> streams.
