## gettext 0.18.3.1

=== debian/changelog ===
gettext (0.18.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Aug 2013 16:00:06 +0200

gettext (0.18.3-1) unstable; urgency=low

  * New upstream release.
  * xgettext now partially supports JavaScript. Closes: #590724.
  * xgettext and msgfmt's format string checking now recognize Python
    format string in braced syntax (PEP 3101). Closes: #668226.

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Jul 2013 11:32:34 +0200

gettext (0.18.2.1-1) unstable; urgency=low

  * New upstream release.
  * Changed Depends on libasprintf-dev and libgettextpo-dev to Recommends.
  * Drop libgettextlib.so and libgettextsrc.so, as those libraries are
    for internal use only and not meant to be used by other packages.
  * The infrastructure archive now uses xz compression. Closes: #660391.
    Changed Depends and Build-Depends accordingly.
  * Modified debian/rules to support bootstrapping. Closes: #709559.
  * Deprecated macro AM_PROG_MKDIR_P not used anymore. Closes: #709740.
  * Review of patches in debian/patches:
  * 01-do-not-use-java-in-urlget. Kept.
  * 02-no-usr-share-info-dir-gz. Dropped in favour of AM_UPDATE_INFO_DIR.
  * 03-fix-xgettext-crash. Dropped. Now upstream.
  * 04-new-scheme-syntax. Dropped. Now upstream.
  * 05-quotes-around-pwd-in-project-id. Kept.
  * 06-msgfmt-default-little-endian. Kept.
  * 07-eglibc-21.6-ftbfs-nogets. Dropped. Obsolete.
  * 99-config-guess-config-sub. Updated.

 -- Santiago Vila <sanvila@debian.org>  Thu, 30 May 2013 18:37:30 +0200

gettext (0.18.1.1-10) unstable; urgency=low

  * Split out libgettextpo-dev and libasprintf-dev for multiarch
    dependencies. Thanks to P.J McDermott for core patch. Closes: #683751.
  * Fix FTBFS on eglibc-2.16 (gets removal/outdated gnulib). Closes: #693361.
  * Thanks a lot to Colin Watson and Wookey, as they did all the work.
  * Keep autosprintf.info.gz in gettext for now, for safety.
  * Note: This is a "conservative release" which tries to be nice with
    autobuilders using unstable. After the release of wheezy, the following
    changes will be made: a) Change gettext Depends on the new -dev packages
    to just Recommends, and b) Drop libgettextsrc.so and libgettextlib.so,
    as those libraries are for internal use only and not meant to be used
    by other packages. Those changes will be made *regardless* of this release
    entering wheezy or not. Debian derivatives (like Ubuntu) are welcome to
    do them now, as it is what will eventually happen in Debian.

 -- Santiago Vila <sanvila@debian.org>  Wed, 28 Nov 2012 17:14:44 +0100
