=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export AM_UPDATE_INFO_DIR = no
+
 # PNET_ARCHS = %alpha%amd64%hppa%i386%ia64%mips%mipsel%powerpc%s390%sparc%
 # ifneq (,$(findstring %$(DEB_HOST_ARCH)%,$(PNET_ARCHS)))
 #   CSHARP = --enable-csharp=pnet
@@ -34,15 +36,13 @@
 #   CSHARP = --enable-csharp=mono
 # endif
 
-CSHARP = --disable-csharp
-
 NOJAVA_ARCHS = %none%
 
 build:
 	cd debian && $(CC) glibc-test.c
 	debian/a.out
 	./configure --prefix=/usr --enable-threads $(CSHARP) \
-		CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+		--disable-native-java CC="$(CC)" CFLAGS="$(CFLAGS)" \
 		JAVAC=/usr/lib/jvm/default-java/bin/javac \
 		CPPFLAGS="$(CPPFLAGS) -I/usr/include/libxml2" \
 		CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
@@ -58,13 +58,15 @@
 	rm -f `find . -name "*~"`
 	rm -rf debian/tmp debian/files* core debian/substvars debian/a.out
 	cd debian && rm -rf gettext-base gettext gettext-el gettext-doc \
-		autopoint libgettextpo0 libasprintf0c2
+		autopoint libgettextpo0 libasprintf0c2 libgettextpo-dev libasprintf-dev
 
 binary-arch: build
 	debian/rules gettext-base
 	debian/rules gettext
 	debian/rules libgettextpo0
 	debian/rules libasprintf0c2
+	debian/rules libgettextpo-dev
+	debian/rules libasprintf-dev
 
 binary-indep: build
 	debian/rules gettext-el
@@ -97,9 +99,11 @@
 	fi
 	find debian/$@/usr/share/locale | grep gettext-tools | xargs rm
 ifeq (,$(findstring %$(DEB_HOST_ARCH)%,$(NOJAVA_ARCHS)))
+ifneq ($(DEB_BUILD_PROFILE),stage1)
 	install -d debian/$@/usr/share/java
 	cp -p debian/tmp/usr/share/gettext/libintl.jar \
 		debian/$@/usr/share/java
+endif
 endif
 	cp -p gettext-tools/ABOUT-NLS debian/$@/usr/share/doc/$@
 	cp -p debian/copyright debian/$@/usr/share/doc/$@
@@ -138,32 +142,32 @@
 	cd debian/$@/usr/share/doc/$@ && gzip -9n changelog changelog.Debian
 	cp -a debian/tmp/usr/bin debian/$@/usr
 	cp -a debian/tmp/usr/lib debian/$@/usr
-	cp -a debian/tmp/usr/include debian/$@/usr
 	cp -a debian/tmp/usr/share/info debian/$@/usr/share
 	cp -a debian/tmp/usr/share/aclocal debian/$@/usr/share
 	cp -a debian/tmp/usr/share/gettext debian/$@/usr/share
-	rm -f debian/$@/usr/lib/gettext/gnu.gettext*
 	rm -f debian/$@/usr/share/gettext/libintl.jar
+ifeq (,$(findstring %$(DEB_HOST_ARCH)%,$(NOJAVA_ARCHS)))
+ifneq ($(DEB_BUILD_PROFILE),stage1)
+	mv debian/$@/usr/share/gettext/gettext.jar debian/$@/usr/share/java
+endif
+endif
 	rm -f debian/$@/usr/lib/GNU.Gettext.dll
 	cp -a debian/tmp/usr/share/man/man1 debian/$@/usr/share/man
 	cp -a debian/tmp/usr/share/locale debian/$@/usr/share
 	find debian/$@/usr/share/locale | grep gettext-runtime | xargs rm
 	cd debian/$@/usr/bin && rm -f gettext ngettext envsubst gettext.sh
-	cd debian/$@/usr/lib && rm -f libasprintf.so.* libgettextpo.so.* *.la
-	install -d debian/$@/usr/lib/$(DEB_HOST_MULTIARCH)
-	cd debian/$@/usr/lib && mv libgettextpo.so $(DEB_HOST_MULTIARCH)
-	cd debian/$@/usr/lib && mv libasprintf.so $(DEB_HOST_MULTIARCH)
+	cd debian/$@/usr/lib && rm -f libasprintf* libgettextpo* *.la
 	cd debian/$@/usr/share/man/man1 && \
 		rm -f gettext.1 ngettext.1 envsubst.1
 	cd debian/$@/usr/lib && chmod 644 libgettextlib* libgettextsrc*
 	$(STRIP) debian/$@/usr/lib/preloadable_libintl.so
 	$(STRIP) debian/$@/usr/lib/libgettextlib*.so
 	$(STRIP) debian/$@/usr/lib/libgettextsrc*.so
-	$(ATRIP) debian/$@/usr/lib/libasprintf.a
-	$(ATRIP) debian/$@/usr/lib/libgettextpo.a
 	rm -f debian/$@/usr/bin/autopoint
 	rm -f debian/$@/usr/share/man/man1/autopoint.1
-	rm -f debian/$@/usr/share/gettext/archive.git.tar.gz
+	rm -f debian/$@/usr/share/gettext/archive.dir.tar.xz
+	rm -f debian/$@/usr/lib/libgettextlib.so
+	rm -f debian/$@/usr/lib/libgettextsrc.so
 	gzip -9n debian/$@/usr/share/info/*
 	gzip -r9n debian/$@/usr/share/man
 	$(STRIP) `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/gettext/*`
@@ -194,4 +198,3 @@
 	dpkg-gencontrol -p$@ -Pdebian/$@
 	cd debian/$@ && \
 		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
-	chown -R 0:0 debian/$@
