## gettext 0.19.2

=== debian/changelog ===
gettext (0.19.2-1) unstable; urgency=low

  * New upstream release. Closes: #755221.
  * Dropped unused lintian overrides.
  * Dropped 05-quotes-around-pwd-in-project-id. Adopted upstream.
  * Use upstream tar.xz which is a lot smaller than tar.gz.
  * Added gettext-tools/src/msgfmt.c to the list of files
    touched by debian/rules, as we don't modify it so much
    that msgfmt.1 or msgfmt.1.html need to be regenerated.
    This will avoid a build dependency on groff (for now).

 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Jul 2014 15:38:00 +0200

gettext (0.18.3.2-4) unstable; urgency=medium

  * Made gettext-el to depend on emacs, not emacs23. Closes: #754014.
  * Applied Ubuntu patch for little-endian powerpc. Closes: #754146.
    This would result in extra build-dependencies (autoconf) because
    of the timestamps, so we keep them in debian/rules before build.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Jul 2014 11:17:00 +0200

gettext (0.18.3.2-3) unstable; urgency=medium

  * Added "Multi-Arch: foreign" to autopoint, to be used in cross-build
    environments. Closes: #753003. Thanks to Helmut Grohne.
  * Do not ship an empty usr/lib in gettext-base.

 -- Santiago Vila <sanvila@debian.org>  Mon, 30 Jun 2014 10:01:24 +0200

gettext (0.18.3.2-2) unstable; urgency=low

  * Updated build profile to use DEB_BUILD_PROFILES. Closes: #750044.
    Thanks a lot to Wookey for the patch.

 -- Santiago Vila <sanvila@debian.org>  Sun, 01 Jun 2014 11:02:52 +0200

gettext (0.18.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Dropped 07-disable-m4-include-when-tracing.

 -- Santiago Vila <sanvila@debian.org>  Thu, 16 Jan 2014 16:17:04 +0100

gettext (0.18.3.1-2) unstable; urgency=medium

  * Fixed autopoint problem that made coreutils build to fail.
    Patch by Daiki Ueno. Closes: #730321.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Nov 2013 19:03:16 +0100
