=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Build-Depends: libexpat1-dev, fastjar, default-jdk, file, libncurses5-dev, libxml2-dev, libglib2.0-dev, libcroco3-dev, xz-utils, libunistring-dev
 Homepage: http://www.gnu.org/software/gettext/
 
@@ -29,7 +29,7 @@
 Package: gettext-el
 Section: lisp
 Architecture: all
-Depends: gettext, emacs23 | emacsen
+Depends: gettext, emacs | emacsen
 Description: Emacs po-mode for editing gettext .po files
  This package contains po-mode.el for easy .po editing using emacs.
 
@@ -45,6 +45,7 @@
 Section: devel
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Depends: xz-utils
 Replaces: gettext (<= 0.17-11)
 Description: The autopoint program from GNU gettext
