=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,12 @@
 build:
 	cd debian && $(CC) glibc-test.c
 	debian/a.out
+	sh debian/mk-touch || true
+	touch -d "2014-04-22 09:40:04 UTC" m4/libtool.m4
+	touch -d "2014-07-14 07:30:12 UTC" gettext-runtime/configure
+	touch -d "2014-07-14 07:30:07 UTC" gettext-runtime/libasprintf/configure
+	touch -d "2014-07-14 07:30:23 UTC" gettext-tools/configure
+	touch -d "2014-06-10 06:30:01 UTC" gettext-tools/src/msgfmt.c
 	./configure --prefix=/usr --enable-threads $(CSHARP) \
 		--disable-native-java CC="$(CC)" CFLAGS="$(CFLAGS)" \
 		JAVAC=/usr/lib/jvm/default-java/bin/javac \
@@ -99,7 +105,7 @@
 	fi
 	find debian/$@/usr/share/locale | grep gettext-tools | xargs rm
 ifeq (,$(findstring %$(DEB_HOST_ARCH)%,$(NOJAVA_ARCHS)))
-ifneq ($(DEB_BUILD_PROFILE),stage1)
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	install -d debian/$@/usr/share/java
 	cp -p debian/tmp/usr/share/gettext/libintl.jar \
 		debian/$@/usr/share/java
@@ -122,6 +128,7 @@
 		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
 	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
 	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
+	find debian/$@/usr/lib -type d -empty | xargs -r rmdir
 	chown -R 0:0 debian/$@
 	chmod -R u+w,go=rX debian/$@
 	dpkg --build debian/$@ ..
@@ -147,7 +154,7 @@
 	cp -a debian/tmp/usr/share/gettext debian/$@/usr/share
 	rm -f debian/$@/usr/share/gettext/libintl.jar
 ifeq (,$(findstring %$(DEB_HOST_ARCH)%,$(NOJAVA_ARCHS)))
-ifneq ($(DEB_BUILD_PROFILE),stage1)
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	mv debian/$@/usr/share/gettext/gettext.jar debian/$@/usr/share/java
 endif
 endif
@@ -191,10 +198,3 @@
 	cp -p debian/changelog debian/$@/usr/share/doc/$@/changelog.Debian
 	cp -p ChangeLog debian/$@/usr/share/doc/$@/changelog
 	cd debian/$@/usr/share/doc/$@ && gzip -9n changelog changelog.Debian
-	cp -a debian/tmp/usr/lib/libgettextpo.so.* debian/$@/usr/lib/$(DEB_HOST_MULTIARCH)
-	cd debian/$@/usr/lib/$(DEB_HOST_MULTIARCH) && chmod 644 libgettextpo*
-	$(STRIP) debian/$@/usr/lib/$(DEB_HOST_MULTIARCH)/libgettextpo.so.*
-	dpkg-shlibdeps `sh debian/elf debian/$@/usr/lib/$(DEB_HOST_MULTIARCH)/*`
-	dpkg-gencontrol -p$@ -Pdebian/$@
-	cd debian/$@ && \
-		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
